<?php

/**
 * For full documentation, please visit: http://docs.reduxframework.com/
 * For a more extensive sample-config file, you may look at:
 * https://github.com/reduxframework/redux-framework/blob/master/sample/sample-config.php
 */

if (!class_exists('Redux')) {
    return;
}

// This is option name where all the Redux data is stored.
$opt_name = "itcode";


/**
 * START SECTIONS
 */
/*
$fonts = array(
    'Open Sans,arial,helvatica' => 'Open Sans',
    'BebasRegular,arial,helvatica' => 'Bebas Regular',
    'LeagueGothicRegular,arial,helvatica' => 'League Gothic Regular',
    'Arial,helvetica,sans-serif' => 'Arial',
    'helvetica,sans-serif,arial' => 'Helvatica',
    'sans-serif,arial,helvatica' => 'Sans Serif',
    'verdana,san-serif,helvatica' => 'Verdana',
);*/

/**
 * START Welcome Section
 */
/*Redux::setSection($opt_name, array(
    'title' => esc_html__('Welcome', 'itcode'),
    'id' => 'welcome_opts',
    //'desc'		=> esc_html__( 'Start page.', 'itcode' ),
    'icon' => 'el el-home',
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Theme info', 'itcode'),
    'id' => 'info_opts',
    //'desc'		=> esc_html__( 'Start page.', 'itcode' ),
    'subsection' => true,
    'icon' => 'el el-website',
    'fields' => array(
        array(
            'id' => '1',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            'title' => esc_html__('Welcome to It Code Multipurpose Theme!', 'itcode'),
            'desc' => esc_html__('ItCode is a multiporpose WordPress Theme that makes website building a dream come true. ItCode is now installed and ready to use! Read below for additional information.', 'itcode'),
            'style' => 'info'
        ),
        array(
            'id' => '2',
            'type' => 'info',
            'notice' => false,
            //'style' => 'info',
            //'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
            'desc' => esc_html__('Before you get started, please be sure to always check out this documentation. We outline all kinds of good information, and provide you with all the details you need to use It Code. If you are unable to find your answer in our documentation, we encourage you to contact us through support page with your site CPanel (or FTP) and wordpress admin details. We are very happy to help you and you will get reply from us more faster than you expected.', 'itcode'),
            'style' => 'info'
        ),
        array(
            'id' => '3',
            'type' => 'info',
            'notice' => false,
            //'style' => 'info',
            //'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
            'desc' => esc_html__('Click here to view change logs.  We hope you enjoy it!', 'itcode'),
            'style' => 'info'
        ),
    ),
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('System Status', 'itcode'),
    'id' => 'system_status_opts',
    'subsection' => true,
    //'desc'		=> esc_html__( 'Start page.', 'itcode' ),
    'icon' => 'el el-wrench',
    'fields' => array(
        array(
            'id' => '4',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            //'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
            'desc' => esc_html__('ItCode is now installed and ready to use! Please check below status to see if your server meets all essential requirements for a successful import dummy content.', 'itcode'),
            'style' => 'info'
        ),
        /*array(
				'id'        => '2',
				'type'      => 'info',
				'notice' => false,
				//'style' => 'info',
				//'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
				'desc'		=> esc_html__( 'Before you get started, please be sure to always check out this documentation. We outline all kinds of good information, and provide you with all the details you need to use It Code. If you are unable to find your answer in our documentation, we encourage you to contact us through support page with your site CPanel (or FTP) and wordpress admin details. We are very happy to help you and you will get reply from us more faster than you expected.', 'itcode' ),
				'style' => 'info'
			),*/
        /*array(
				'id'        => '3',
				'type'      => 'info',
				'notice' => false,
				//'style' => 'info',
				//'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
				'desc'		=> esc_html__( 'Click here to view change logs.  We hope you enjoy it!', 'itcode' ),
				'style' => 'info'
			),*//*
    ),
));*//*
Redux::setSection($opt_name, array(
    'title' => esc_html__('Plugins', 'itcode'),
    'id' => 'system_plugins_opts',
    'subsection' => true,
    //'desc'		=> esc_html__( 'Start page.', 'itcode' ),
    'icon' => 'el el-wrench',
    'fields' => array(
        array(
            'id' => '5',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            //'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
            'desc' => esc_html__('After installing and activating the theme, you should install and activate the required and recommended plugins!', 'itcode'),
            'style' => 'info'
        ),
        /*array(
				'id'        => '2',
				'type'      => 'info',
				'notice' => false,
				//'style' => 'info',
				//'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
				'desc'		=> esc_html__( 'Before you get started, please be sure to always check out this documentation. We outline all kinds of good information, and provide you with all the details you need to use It Code. If you are unable to find your answer in our documentation, we encourage you to contact us through support page with your site CPanel (or FTP) and wordpress admin details. We are very happy to help you and you will get reply from us more faster than you expected.', 'itcode' ),
				'style' => 'info'
			),*/
        /*array(
				'id'        => '3',
				'type'      => 'info',
				'notice' => false,
				//'style' => 'info',
				//'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
				'desc'		=> esc_html__( 'Click here to view change logs.  We hope you enjoy it!', 'itcode' ),
				'style' => 'info'
			),*//*
    ),
));// end Plugins
Redux::setSection($opt_name, array(
    'title' => esc_html__('Demo Installation', 'itcode'),
    'id' => 'wbc_importer_section',
    'subsection' => true,
    //'desc'		=> esc_html__( 'Start page.', 'itcode' ),
    'desc' => '<p class="description">' . apply_filters('wbc_importer_description', esc_html__('Works best to import on a new install of WordPress', 'itcode')) . '</p>',
    'icon' => 'el-icon-website',
    'fields' => array(
        array(
            'id' => '6',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            //'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
            'desc' => esc_html__('Installing a demo provides pages, posts, menus, images, theme options, widgets and more.', 'itcode'),
            'style' => 'info'
        ),
        array(
            'id' => '7',
            'type' => 'info',
            'notice' => false,
            //'style' => 'info',
            //'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
            'desc' => esc_html__('Please click Install button and configure the installing options and install demo.', 'itcode'),
            'style' => 'info'
        ),
        //generate demo field
        array(
            'id' => 'wbc_demo_importer',
            'type' => 'wbc_importer'
        ),
        array(
            'id' => '8',
            'type' => 'info',
            'notice' => false,
            //'style' => 'info',
            //'title' => esc_html__( 'Welcome to It Code Multipurpose Theme!', 'itcode' ),
            'desc' => esc_html__('Once demo is installed, you need to build your site in next step. Please click Install button and configure the installing options and install demo. After install demo, please .... Once demo is installed, you need to build your site in next step.', 'itcode'),
            'style' => 'info'
        ),
    ),
));// end Demo Installation*/



// General Setting
Redux::setSection($opt_name, array(
    'title'  => esc_html__( 'General Setting', 'itcode' ),
    'desc'   => '',
    'icon'   => 'el el-wrench',
    'fields' => array(


        array(
            'id'       => 'body_background_mode',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Body Background Mode', 'itcode' ),
            'subtitle' => esc_html__( 'Chose Background Mode', 'itcode' ),
            'desc'     => '',
            'options'  => array( 'pattern' => 'Pattern','background' => 'Background', 'gradient' => 'Gradient', ),
            'default'  => 'background',
            //'required' => array( 'layout_style', '=', array( 'boxed' ) )
        ),

        array(
            'id'       => 'body_background',
            'type'     => 'background',
            'output'   => array( 'body' ),
            'title'    => esc_html__( 'Body Background', 'itcode' ),
            'subtitle' => esc_html__( 'Background shows in Boxed layout. You can select layout in "Layout" tab.', 'itcode' ),
            'default'  => array(
                'background-color'      => '',
                'background-repeat'     => 'no-repeat',
                'background-position'   => 'center center',
                'background-attachment' => 'fixed',
                'background-size'       => 'cover'
            ),
            /*'required' => array(
                array( 'layout_style', '=', array( 'boxed' ) ),
                array( 'body_background_mode', '=', array( 'background' ) )
            ),*/
        ),
        array(
            'id'       => 'body_background_pattern',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Background Pattern', 'itcode' ),
            'subtitle' => esc_html__( 'Background shows in Boxed layout. You can select layout in "Layout" tab.', 'itcode' ),
            'desc'     => '',
            'height'   => '45px',
            'options'  => array(
                'pattern-1.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-1.png' ),
                'pattern-2.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-2.png' ),
                'pattern-3.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-3.png' ),
                'pattern-4.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-4.png' ),
                'pattern-5.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-5.png' ),
                'pattern-6.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-6.png' ),
                'pattern-7.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-7.png' ),
                'pattern-8.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-8.png' ),
                'pattern-9.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-9.png' ),
                'pattern-10.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-10.png' ),
                'pattern-11.png' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/images/bg/pattern-11.png' ),

            ),
            'default'  => 'pattern-1.png',
            /*'required' => array(
                array( 'layout_style', '=', array( 'boxed' ) ),
                array( 'body_background_mode', '=', array( 'pattern' ) )
            ),*/
        ),

        array(
            'id'=>'body_bg_gradient_gcolor',
            'type' => 'color_gradient',
            'title' => __('Background Gradient Color', 'itcode'),
            /*'required' => array(
                array( 'layout_style', '=', array( 'boxed' ) ),
                array( 'body_background_mode', '=', array( 'gradient' ) )
            ),*/
            'default' => array(
                'from' => '',
                'to' => ''
            )
        ),

        /*array(
            'title' => esc_html__('Background Pattern', 'itcode'),
            'id' => 'background_pattern',
            'type' => 'image_select',
            'options' => array(
                //'none' => array('alt' => 'None', 'img' => $theme_bg_dir . 'none.jpg',),
                $theme_bg_dir . 'bdbg1.png' => array('alt' => 'Default BG', 'img' => $theme_bg_dir . 'bdbg1.png',),
                $theme_bg_dir . 'gray-jean.png' => array('alt' => 'Gray Jean', 'img' => $theme_bg_dir . 'gray-jean.png',),
                $theme_bg_dir . 'light-wool.png' => array('alt' => 'Light Wool', 'img' => $theme_bg_dir . 'light-wool.png',),
                $theme_bg_dir . 'subtle_freckles.png' => array('alt' => 'Subtle Freckles', 'img' => $theme_bg_dir . 'subtle_freckles.png',),
                $theme_bg_dir . 'subtle_freckles2.png' => array('alt' => 'Subtle Freckles 2', 'img' => $theme_bg_dir . 'subtle_freckles2.png',),
                //$theme_bg_dir . 'green-fibers.png' => array('alt' => 'Green Fibers', 'img' => $theme_bg_dir . 'green-fibers.png',),
                $theme_bg_dir . 'dust.png' => array('alt' => 'Dust', 'img' => $theme_bg_dir . 'dust.png',),
            ),
            'height' => '50',
        ),*/
    )
));


// Font Options
Redux::setSection($opt_name, array(
    'icon'   => 'el-icon-fontsize',
    'title'  => esc_html__( 'Font Options', 'itcode' ),
    'desc'   => esc_html__( 'If you change value in this section, you must "Save & Generate CSS"', 'itcode' ),
    'subsection' => true,
    'fields' => array(
        array(
            'id'             => 'body_font',
            'type'           => 'typography',
            'title'          => esc_html__( 'Body Font', 'itcode' ),
            'subtitle'       => esc_html__( 'Specify the body font properties.', 'itcode' ),
            'google'         => true,
            'text-align'     => false,
            'color'          => false,
            'letter-spacing' => false,
            'line-height'    => false,
            'all_styles'     => true, // Enable all Google Font style/weight variations to be added to the page
            'output'         => array( 'body' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'       => array( 'body' ), // An array of CSS selectors to apply this font style to dynamically
            'units'          => 'px', // Defaults to px
            'default'        => array(
                'font-size'   => '14px',
                'font-family' => 'Raleway',
                'font-weight' => '400',
            ),
        ),
        array(
            'id'             => 'h1_font',
            'type'           => 'typography',
            'title'          => esc_html__( 'H1 Font', 'itcode' ),
            'subtitle'       => esc_html__( 'Specify the H1 font properties.', 'itcode' ),
            'google'         => true,
            'text-align'     => false,
            'line-height'    => false,
            'color'          => false,
            'letter-spacing' => false,
            'all_styles'     => true, // Enable all Google Font style/weight variations to be added to the page
            'output'         => array( 'h1' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'       => array( 'h1' ), // An array of CSS selectors to apply this font style to dynamically
            'units'          => 'px', // Defaults to px
            'default'        => array(
                'font-size'   => '32px',
                'line-height' => '48px',
                'font-family' => 'Open Sans',
                'font-weight' => '400',
            ),
        ),
        array(
            'id'             => 'h2_font',
            'type'           => 'typography',
            'title'          => esc_html__( 'H2 Font', 'itcode' ),
            'subtitle'       => esc_html__( 'Specify the H2 font properties.', 'itcode' ),
            'google'         => true,
            'line-height'    => false,
            'text-align'     => false,
            'color'          => false,
            'letter-spacing' => false,
            'all_styles'     => true, // Enable all Google Font style/weight variations to be added to the page
            'output'         => array( 'h2' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'       => array( 'h2' ), // An array of CSS selectors to apply this font style to dynamically
            'units'          => 'px', // Defaults to px
            'default'        => array(
                'font-size'   => '24px',
                'line-height' => '36px',
                'font-family' => 'Open Sans',
                'font-weight' => '400',
            ),
        ),
        array(
            'id'             => 'h3_font',
            'type'           => 'typography',
            'title'          => esc_html__( 'H3 Font', 'itcode' ),
            'subtitle'       => esc_html__( 'Specify the H3 font properties.', 'itcode' ),
            'google'         => true,
            'text-align'     => false,
            'line-height'    => false,
            'color'          => false,
            'letter-spacing' => false,
            'all_styles'     => true, // Enable all Google Font style/weight variations to be added to the page
            'output'         => array( 'h3' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'       => array( 'h3' ), // An array of CSS selectors to apply this font style to dynamically
            'units'          => 'px', // Defaults to px
            'default'        => array(
                'font-size'   => '22px',
                'line-height' => '28px',
                'font-family' => 'Open Sans',
                'font-weight' => '400',
            ),
        ),
        array(
            'id'             => 'h4_font',
            'type'           => 'typography',
            'title'          => esc_html__( 'H4 Font', 'itcode' ),
            'subtitle'       => esc_html__( 'Specify the H4 font properties.', 'itcode' ),
            'google'         => true,
            'text-align'     => false,
            'line-height'    => false,
            'color'          => false,
            'letter-spacing' => false,
            'all_styles'     => true, // Enable all Google Font style/weight variations to be added to the page
            'output'         => array( 'h4' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'       => array( 'h4' ), // An array of CSS selectors to apply this font style to dynamically
            'units'          => 'px', // Defaults to px
            'default'        => array(
                'font-size'   => '18px',
                'line-height' => '24px',
                'font-family' => 'Open Sans',
                'font-weight' => '400',
            ),
        ),
        array(
            'id'             => 'h5_font',
            'type'           => 'typography',
            'title'          => esc_html__( 'H5 Font', 'itcode' ),
            'subtitle'       => esc_html__( 'Specify the H5 font properties.', 'itcode' ),
            'google'         => true,
            'line-height'    => false,
            'text-align'     => false,
            'color'          => false,
            'letter-spacing' => false,
            'all_styles'     => true, // Enable all Google Font style/weight variations to be added to the page
            'output'         => array( 'h5' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'       => array( 'h5' ), // An array of CSS selectors to apply this font style to dynamically
            'units'          => 'px', // Defaults to px
            'default'        => array(
                'font-size'   => '16px',
                'line-height' => '22px',
                'font-family' => 'Open Sans',
                'font-weight' => '400',
            ),
        ),
        array(
            'id'             => 'h6_font',
            'type'           => 'typography',
            'title'          => esc_html__( 'H6 Font', 'itcode' ),
            'subtitle'       => esc_html__( 'Specify the H6 font properties.', 'itcode' ),
            'google'         => true,
            'line-height'    => false,
            'text-align'     => false,
            'color'          => false,
            'letter-spacing' => false,
            'all_styles'     => true, // Enable all Google Font style/weight variations to be added to the page
            'output'         => array( 'h6' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'       => array( 'h6' ), // An array of CSS selectors to apply this font style to dynamically
            'units'          => 'px', // Defaults to px
            'default'        => array(
                'font-size'   => '12px',
                'line-height' => '16px',
                'font-family' => 'Open Sans',
                'font-weight' => '400',
            ),
        ),
        array(
            'id'          => 'menu_font',
            'type'        => 'typography',
            'title'       => esc_html__( 'Menu Font', 'itcode' ),
            'subtitle'    => esc_html__( 'Specify the Menu font properties.', 'itcode' ),
            'google'      => true,
            'all_styles'  => true, // Enable all Google Font style/weight variations to be added to the page
            'line-height' => false,
            'color'       => false,
            'text-align'  => false,
            'font-style'  => false,
            'subsets'     => false,
            'font-size'   => false,
            'font-weight' => false,
            'output'      => array( '' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'    => array( '' ), // An array of CSS selectors to apply this font style to dynamically
            'units'       => 'px', // Defaults to px
            'default'     => array(
                'font-family' => 'Open Sans',
            ),
        ),


        array(
            'id'          => 'primary_font',
            'type'        => 'typography',
            'title'       => esc_html__( 'Primary Font', 'itcode' ),
            'subtitle'    => esc_html__( 'Specify the Primary font properties.', 'itcode' ),
            'google'      => true,
            'all_styles'  => true, // Enable all Google Font style/weight variations to be added to the page
            'line-height' => false,
            'color'       => false,
            'text-align'  => false,
            'font-style'  => false,
            'subsets'     => false,
            'font-size'   => false,
            'font-weight' => false,
            'output'      => array( '' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'    => array( '' ), // An array of CSS selectors to apply this font style to dynamically
            'units'       => 'px', // Defaults to px
            'default'     => array(
                'font-family' => 'Raleway',
            ),
        ),

        array(
            'id'          => 'secondary_font',
            'type'        => 'typography',
            'title'       => esc_html__( 'Secondary Font', 'itcode' ),
            'subtitle'    => esc_html__( 'Specify the Secondary font properties.', 'itcode' ),
            'google'      => true,
            'all_styles'  => true, // Enable all Google Font style/weight variations to be added to the page
            'line-height' => false,
            'color'       => false,
            'text-align'  => false,
            'font-style'  => false,
            'subsets'     => false,
            'font-size'   => false,
            'font-weight' => false,
            'output'      => array( '' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'    => array( '' ), // An array of CSS selectors to apply this font style to dynamically
            'units'       => 'px', // Defaults to px
            'default'     => array(
                'font-family' => 'Open Sans',
            ),
        ),
        array(
            'id'          => 'third_font',
            'type'        => 'typography',
            'title'       => esc_html__( 'Third Font', 'itcode' ),
            'subtitle'    => esc_html__( 'Specify the Third font properties.', 'itcode' ),
            'google'      => true,
            'all_styles'  => true, // Enable all Google Font style/weight variations to be added to the page
            'line-height' => false,
            'color'       => false,
            'text-align'  => false,
            'font-style'  => false,
            'subsets'     => false,
            'font-size'   => false,
            'font-weight' => false,
            'output'      => array( '' ), // An array of CSS selectors to apply this font style to dynamically
            'compiler'    => array( '' ), // An array of CSS selectors to apply this font style to dynamically
            'units'       => 'px', // Defaults to px
            'default'     => array(
                'font-family' => 'Playfair Display',
            ),
        ),
    ),
));


/**
 * START Header Options Fields
 */



Redux::setSection($opt_name, array(
    'title' => __('Select Header Layout', 'itcode'),
    'id' => 'header_layout_opts',
    'subsection' => true,
    'fields' => array(
        //					Header layout setting
        array(
            'id'     => 'section-header-layout',
            'type'   => 'section',
            'title'  => esc_html__( 'Header layout setting', 'itcode' ),
            'indent' => true
        ),
       /* array(
            'id'       => 'header_layout_style',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Header Layout Style', 'itcode' ),
            'subtitle' => esc_html__( 'Select the header layout style', 'itcode' ),
            'desc'     => '',
            'options'  => array(
                'boxed' => array( 'title' => 'Boxed', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/header-layout-boxed.png' ),
                'wide'  => array( 'title' => 'Wide', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/header-layout-wide.png' )
            ),
            'default'  => 'wide'
        ),*/
        /*array(
            'id'       => 'header_layout',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Header Layout', 'itcode' ),
            'subtitle' => esc_html__( 'Select a header layout option from the examples.', 'itcode' ),
            'desc'     => '',
            'options'  => array( // todo fix numeric
                'header-1' => array( 'title' => '', 'img' =>  get_template_directory_uri() . '/inc/assets/img/menu0.png' ),
                'header-2' => array( 'title' => '', 'img' =>  get_template_directory_uri() . '/inc/assets/img/menu1.png' ),
                'header-3' => array( 'title' => '', 'img' =>  get_template_directory_uri() . '/inc/assets/img/menu2.png' ),
                'header-4' => array( 'title' => '', 'img' =>  get_template_directory_uri() . '/inc/assets/img/menu3.png' ),
                'header-5' => array( 'title' => '', 'img' =>  get_template_directory_uri() . '/inc/assets/img/menu4.png' ),
            ),
            'default'  => 'header-1'
        ),*/


//					Menu setting
        array(
            'id'     => 'section-menu-setting',
            'type'   => 'section',
            'title'  => esc_html__( 'Header Menu setting', 'itcode' ),
            'indent' => true
        ),
        array(
            'id'       => 'main_menu_after_customize',
            'type'     => 'ace_editor',
            'mode'     => 'html',
            'theme'    => 'monokai',
            'title'    => esc_html__( 'Custom text for primary menu', 'itcode' ),
            'subtitle' => esc_html__( 'Add Content for primary menu after (header 3)', 'itcode' ),
            'desc'     => '',
            'default'  => '<ul class="header-custom-text">
	<li>
		<i class="fa fa-clock-o"></i>
		<p>
			Mon - Sat: 9:00 - 18:00
			<span>Sunday CLOSED</span>
		</p>
	</li>
	<li>
		<i class="fa fa-map-marker"></i>
		<p>
			1422 1st St. Santa Rosa
			<span>CA 94559. United States</span>
		</p>
	</li>
	<li>
		<i class="fa fa-phone"></i>
		<p>
			(123) 45678910
			<span>info@test.com</span>
		</p>
	</li>
</ul>',
            'options'  => array( 'minLines' => 4, 'maxLines' => 60 ),
        ),
//					Menu setting
        array(
            'id'     => 'section-header-customize',
            'type'   => 'section',
            'title'  => esc_html__( 'Header Customize setting', 'itcode' ),
            'indent' => true
        ),
        array(
            'id'      => 'header_customize',
            'type'    => 'sorter',
            'title'   => 'Header customize',
            'desc'    => 'Organize how you want the layout to appear on the header',
            'options' => array(
                'enabled'  => array(
                    'search'        => 'Search Box',
                    'shopping-cart' => 'Shopping Cart',
                ),
                'disabled' => array(
                    'custom-text' => 'Custom Text',
                    'get-a-quote' => 'Get a quote',
                )
            )
        ),

        array(
            'id'       => 'header_customize_text',
            'type'     => 'ace_editor',
            'mode'     => 'html',
            'theme'    => 'monokai',
            'title'    => esc_html__( 'Custom Text Content', 'itcode' ),
            'subtitle' => esc_html__( 'Add Content for Custom Text', 'itcode' ),
            'desc'     => '',
            'default'  => '',
            'options'  => array( 'minLines' => 8, 'maxLines' => 60 ),
        ),


        array(
            'id'       => 'header_shopping_cart_button',
            'type'     => 'checkbox',
            'title'    => esc_html__( 'Shopping Cart Button', 'itcode' ),
            'subtitle' => esc_html__( 'Select header shopping cart button', 'itcode' ),
            'options'  => array(
                'view-cart' => 'View Cart',
                'checkout'  => 'Checkout',
            ),
            'default'  => array(
                'view-cart' => '1',
                'checkout'  => '1',
            ),
            //'required' => array( 'header_shopping_cart', '=', '1' ),
        ),

        array(
            'id' => 'header_woocart_enable',
            'title' => __('Wocommerce cart in Header', 'itcode'),
            'subtitle' => __('This option shows a woocommerce cart icon at top of the header menu.', 'itcode'),
            'type' => 'switch',
            'on' => esc_html__('Enabled', 'itcode'),
            'off' => esc_html__('Disabled', 'itcode'),
            'default' => '0',
            'required' => array('header_type', '=', array('11')),
        ),
        array(
            'id' => 'header_logo_rightside',
            'title' => __('Header Next Side Space', 'itcode'),
            'type' => 'button_set',
            'options' => array(
                '0' => 'None',
                '1' => 'Search Box',
                '2' => 'Contact Information',
                '3' => 'Header Sidebar'
            ),
            'default' => '2',
            'required' => array('header_type', '=', array('0', '3', '4', '5', '9', '11')),
        ),
        array(
            'id' => 'header_address',
            'title' => __('Header Address', 'itcode'),
            'type' => 'textarea',
            'default' => '<strong>1234 North Avenue Lane</strong><br>Bend, SC 000000',
            'allowed_html' => array(
                'a' => array(
                    'href' => array(),
                    'title' => array()
                ),
                'br' => array(),
                'em' => array(),
                'strong' => array()
            ),
            'required' => array('header_logo_rightside', '=', array('2')),
        ),
        array(
            'id' => 'header_phone',
            'title' => __('Header Phone Number', 'itcode'),
            'type' => 'textarea',
            'default' => '<strong>555 672 45 78</strong><br>555 672 81 23',
            'allowed_html' => array(
                'a' => array(
                    'href' => array(),
                    'title' => array()
                ),
                'br' => array(),
                'em' => array(),
                'strong' => array()
            ),
            'required' => array('header_logo_rightside', '=', array('2')),
        ),
        array(
            'id' => 'header_email',
            'title' => __('Header Email Address', 'itcode'),
            'type' => 'textarea',
            'default' => '<strong>info@example.com</strong><br>info@example.com',
            'allowed_html' => array(
                'a' => array(
                    'href' => array(),
                    'title' => array()
                ),
                'br' => array(),
                'em' => array(),
                'strong' => array()
            ),
            'required' => array('header_logo_rightside', '=', array('2')),
        ),

       /* array(
            'id' => 'header_search_enable',
            'title' => __('Search in Header', 'itcode'),
            'subtitle' => __('This option shows a search icon at the end of the header menu.', 'itcode'),
            'type' => 'switch',
            'on' => esc_html__('Enabled', 'itcode'),
            'off' => esc_html__('Disabled', 'itcode'),
            'default' => '1',
            'required' => array('header_type', '=', array('0','1','2','3')),
        ),
        array(
            'title' => esc_html__('AJAX Live Search', 'itcode'),
            'id' => 'enable_livesearch',
            'type' => 'switch',
            'default' => '1',
            'on' => esc_html__('Enable', 'itcode'),
            'off' => esc_html__('Disable', 'itcode'),
            'required' => array('header_search_enable', '=', '1'),
        ),*/

        array(
            'id'       => 'search_box_type',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Search Box Type', 'itcode' ),
            'subtitle' => esc_html__( 'Select search box type.', 'itcode' ),
            'desc'     => '',
            'options'  => array( 'standard' => esc_html__( 'Standard', 'itcode' ), 'ajax' => esc_html__( 'Ajax Search', 'itcode' ) ),
            'default'  => 'standard'
        ),

        array(
            'id'       => 'search_box_post_type',
            'type'     => 'checkbox',
            'title'    => esc_html__( 'Post type for Ajax Search', 'itcode' ),
            'subtitle' => esc_html__( 'Select post type for ajax search', 'itcode' ),
            'options'  => array(
                'post'      => 'Post',
                'page'      => 'Page',
                'product'   => 'Product',
                'portfolio' => 'Portfolio',
                'services'  => 'Our Services',
            ),
            'default'  => array(
                'post'      => '1',
                'page'      => '1',
                'product'   => '1',
                'portfolio' => '1',
                'services'  => '1',
            ),
            'required' => array( 'search_box_type', '=', 'ajax' ),
        ),

        array(
            'id'       => 'search_box_result_amount',
            'type'     => 'text',
            'title'    => esc_html__( 'Amount Of Search Result', 'itcode' ),
            'subtitle' => esc_html__( 'This must be numeric (no px) or empty (default: 8).', 'itcode' ),
            'desc'     => esc_html__( 'Set mount of Search Result', 'itcode' ),
            'validate' => 'numeric',
            'default'  => '',
            'required' => array( 'search_box_type', '=', 'ajax' ),
        ),

       /* array(
            'title' => esc_html__('Select Header Layout', 'itcode'),
            'id' => 'header_type',
            'type' => 'image_select',
            'options' => array(
                '0' => array(
                    'alt' => 'Header Type 0',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu0.png'
                ),
                '1' => array(
                    'alt' => 'Header Type 1',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu1.png'
                ),
                '2' => array(
                    'alt' => 'Header Type 2',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu2.png'
                ),
                '3' => array(
                    'alt' => 'Header Type 3',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu3.png'
                ),
                '4' => array(
                    'alt' => 'Header Type 4',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu4.png'
                ),
                '5' => array(
                    'alt' => 'Header Type 5',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu5.png'
                ),
                /*'6' => array(
                    'alt' => 'Header Type 6',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu6.png'
                ),
                '7' => array(
                    'alt' => 'Header Type 7',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu7.png'
                ),
                '8' => array(
                    'alt' => 'Header Type 8',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu8.png'
                ),
                '9' => array(
                    'alt' => 'Header Type 9',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu9.png'
                ),
                '10' => array(
                    'alt' => 'Header Type 10',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu10.png'
                ),
                '11' => array(
                    'alt' => 'Header Type 11',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu11.png'
                ),
            ),
            'default' => '0',
            'full_width' => true,
        ),*/
       /* array(
            'id' => 'opt-notice-warning',
            'type' => 'info',
            'notice' => false,
            'style' => 'warning',
            'title' => __('Set Menus', 'itcode'),
            'desc' => __('After saving your setting, please go to "Appearance > Menus" and create menus then set them to Duplex Menu Left and Right.', 'itcode'),
            'required' => array('header_type', '=', '8'),
        ),*/
       /* array(
            'title' => esc_html__('Submenu Style', 'itcode'),
            'subtitle' => esc_html__('For Header Menu and Topbar Menu'),
            'id' => 'dark_submenu',
            'type' => 'button_set',
            'default' => '2',
            'options' => array(
                '1' => 'Light',
                '2' => 'Dark',
            ),
        ),*/
       /* array(
            'title' => esc_html__('Header Background Image', 'itcode'),
            'id' => 'header_background',
            'type' => 'media',
            'url' => true,
            'required' => array('header_type', '=', '6'),
        ),*/
        /*array(
            'id' => 'header_logo_alignment',
            'type' => 'button_set',
            'title' => __('Logo Alignment', 'itcode'),
            'subtitle' => __('This option changes the position of the logo on top of the header.', 'itcode'),
            'options' => array(
                '1' => 'Left',
                '2' => 'Center',
                '3' => 'Right'
            ),
            'default' => '2',
            'required' => array('header_type', '=', array('2', '3', '4', '5', '9')),
        ),*/
       /* array(
            'title' => esc_html__('Mobile Menu', 'itcode'),
            'subtitle' => 'Choose between two type of menu style for mobile and tablet sizes.',
            'id' => 'header_menu_icon',
            'type' => 'image_select',
            'options' => array(
                'sm-rgt-ms' => array(
                    'alt' => 'Modern',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu-icon1.png'
                ),
                '' => array(
                    'alt' => 'Classic',
                    'img' => get_template_directory_uri() . '/inc/assets/img/menu-icon2.png'
                ),

            ),
            'default' => 'sm-rgt-ms',
        ),*/
    ),
));// end Header Layout



/**
 * START Blog Options Fields
 */
Redux::setSection($opt_name, array(
    'title' => esc_html__('Blog Options', 'itcode'),
    'id' => 'blog-opts',
    'icon' => 'el el-pencil',
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Blog Page', 'itcode'),
    'id' => 'blog-page-opts',
    'subsection' => true,
    'fields' => array(
        array(
            'title' => esc_html__('BlogTemplate', 'itcode'),
            'subtitle' => esc_html__('For styling your blog page you can choose among these template layouts.', 'itcode'),
            'id' => 'blog_template',
            'type' => 'image_select',
            'full_width' => true,
            'default' => '2',
            'options' => array(
                '1' => array(
                    'alt' => esc_html__('Blog Type 1', 'itcode'),
                    'img' => get_template_directory_uri() . '/inc/assets/img/blog-type1.png'
                ),
                '2' => array(
                    'alt' => esc_html__('Blog Type 2', 'itcode'),
                    'img' => get_template_directory_uri() . '/inc/assets/img/blog-type2.png'
                ),
                '3' => array(
                    'alt' => esc_html__('Blog Type 3', 'itcode'),
                    'img' => get_template_directory_uri() . '/inc/assets/img/blog-type3.png'
                ),
                '4' => array(
                    'alt' => esc_html__('Blog Type 4', 'itcode'),
                    'img' => get_template_directory_uri() . '/inc/assets/img/blog-type4.png'
                ),
                '5' => array(
                    'alt' => esc_html__('Blog Type 5', 'itcode'),
                    'img' => get_template_directory_uri() . '/inc/assets/img/blog-type5.png'
                ),
                '6' => array(
                    'alt' => esc_html__('Blog Type 6', 'itcode'),
                    'img' => get_template_directory_uri() . '/inc/assets/img/blog-type6.png'
                ),
                '7' => array(
                    'alt' => esc_html__('Blog Type 7', 'itcode'),
                    'img' => get_template_directory_uri() . '/inc/assets/img/blog-type7.png'
                ),
            ),
        ),
        array(
            'title' => esc_html__('Blog Sidebar Position', 'itcode'),
            'id' => 'blog_sidebar',
            'type' => 'button_set',
            'default' => 'right',
            'options' => array(
                'none' => esc_html__('None', 'itcode'),
                'left' => esc_html__('Left', 'itcode'),
                'right' => esc_html__('Right', 'itcode'),
                'both' => esc_html__('Both', 'itcode'),
            ),
        ),
        array(
            'title' => esc_html__('Excerpt Or Full Blog Content', 'itcode'),
            'subtitle' => esc_html__('You can show all text of your posts in blog page or a fixed amount of characters to show for each post.', 'itcode'),
            'id' => 'blog_excerptfull_enable',
            'type' => 'switch',
            'default' => '0',
            'on' => esc_html__('Full', 'itcode'),
            'off' => esc_html__('Excerpt', 'itcode'),
        ),
        array(
            'title' => esc_html__('Excerpt Length for Large Posts', 'itcode'),
            'subtitle' => esc_html__('Type the number of characters you want to show in the blog page for each post.', 'itcode'),
            'id' => 'blog_excerpt_large',
            'type' => 'slider',
            'default' => 50,
            'min' => 1,
            'step' => 1,
            'max' => 400,
            'display_value' => 'text',
            'required' => array('blog_excerptfull_enable', '=', '0'),
        ),
        array(
            'title' => esc_html__('Excerpt Length for List Posts', 'itcode'),
            'subtitle' => esc_html__('Type the number of characters you want to show in the blog page for each post.', 'itcode'),
            'id' => 'blog_excerpt_list',
            'type' => 'slider',
            'default' => 10,
            'min' => 1,
            'step' => 1,
            'max' => 400,
            'display_value' => 'text',
            'required' => array('blog_excerptfull_enable', '=', '0'),
        ),
        array(
            'title' => esc_html__('Blog Page Title', 'itcode'),
            'subtitle' => esc_html__('By hiding this option, blog Page title will be disappearing.', 'itcode'),
            'id' => 'blog_page_title_enable',
            'type' => 'switch',
            'default' => '1',
            'on' => esc_html__('Show', 'itcode'),
            'off' => esc_html__('Hide', 'itcode'),
        ),
        array(
            'title' => esc_html__('Blog Page Title Text', 'itcode'),
            'id' => 'blog_page_title',
            'type' => 'text',
            'default' => 'Blog',
            'required' => array('blog_page_title_enable', '=', '1'),
        ),
        array(
            'title' => esc_html__('Read More Text', 'itcode'),
            'subtitle' => esc_html__('You can set another name instead of read more link.', 'itcode'),
            'id' => 'blog_readmore_text',
            'type' => 'text',
            'default' => 'Continue Reading',
        ),
        array(
            'title' => esc_html__('Featured Image on Blog', 'itcode'),
            'subtitle' => esc_html__('By disabling this option, all blog feature images will be disappearing.', 'itcode'),
            'id' => 'blog_featuredimage_enable',
            'type' => 'switch',
            'default' => '1',
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
        ),
        array(
            'title' => esc_html__('Default Blank Featured Image', 'itcode'),
            'id' => 'no_image',
            'type' => 'switch',
            'default' => '0',
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
        ),
        array(
            'title' => esc_html__('Custom Default Blank Featured Image', 'itcode'),
            'id' => 'no_image_src',
            'type' => 'media',
            'url' => true,
            'required' => array('no_image', '=', '1'),
        ),
        array(
            'title' => esc_html__('Post Title on Blog', 'itcode'),
            'subtitle' => esc_html__('By disabling this option, all post title images will be disappearing.', 'itcode'),
            'id' => 'blog_posttitle_enable',
            'type' => 'switch',
            'default' => '1',
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
        ),
    ),
));
/*Redux::setSection($opt_name, array(
    'title' => esc_html__('Single Blog Page', 'itcode'),
    'id' => 'single-blog-page-opts',
    'subsection' => true,
    'fields' => array(


        array(
            'title' => esc_html__('Social Share Links', 'itcode'),
            'subtitle' => esc_html__('By enabling this feature your visitors can share the post to social networks such as Facebook, Twitter and...', 'itcode'),
            'id' => 'blog_social_share',
            'type' => 'switch',
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
            'default' => '1',
        ),
        array(
            'title' => esc_html__('Single post Authorbox', 'itcode'),
            'subtitle' => esc_html__('This feature shows a picture of post author and some info about author.', 'itcode'),
            'id' => 'blog_single_authorbox_enable',
            'type' => 'switch',
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
            'default' => '1',
        ),
        array(
            'title' => esc_html__('Recommended Posts', 'itcode'),
            'subtitle' => esc_html__('This feature recommends related post to visitors.', 'itcode'),
            'id' => 'recommended_posts',
            'type' => 'switch',
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
            'default' => '1',
        ),
    ),
));*/
/*Redux::setSection($opt_name, array(
    'title' => esc_html__('Post Metadatas', 'itcode'),
    'id' => 'post-meta-opts',
    'subsection' => true,
    'fields' => array(
        array(
            'title' => esc_html__('Metadata Gravatar', 'itcode'),
            'id' => 'blog_meta_gravatar_enable',
            'type' => 'switch',
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
            'default' => '1'
        ),
        array(
            'title' => esc_html__('Metadata Author', 'itcode'),
            'id' => 'blog_meta_author_enable',
            'type' => 'switch',
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
            'default' => '1'
        ),
        array(
            'title' => esc_html__('Metadata Date', 'itcode'),
            'id' => 'blog_meta_date_enable',
            'type' => 'switch',
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
            'default' => '1'
        ),
        array(
            'id' => 'blog_meta_category_enable',
            'type' => 'switch',
            'title' => esc_html__('Metadata Category', 'itcode'),
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
            'default' => '1'
        ),
        array(
            'id' => 'blog_meta_comments_enable',
            'type' => 'switch',
            'title' => esc_html__('Metadata Comments', 'itcode'),
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
            'default' => '1'
        ),
        array(
            'id' => 'blog_meta_views_enable',
            'type' => 'switch',
            'title' => esc_html__('Metadata Views', 'itcode'),
            'on' => esc_html__('On', 'itcode'),
            'off' => esc_html__('Off', 'itcode'),
            'default' => '1'
        ),
    ),
));*/


/**
 * START Shop Fields
 */


// Single Product Layout
Redux::setSection($opt_name, array(
    'title'      => esc_html__( 'Single Product Layout', 'itcode' ),
    'desc'       => '',
    'icon'       => 'el el-shopping-cart',
    'subsection' => true,
    'fields'     => array(

    )
));

//Custom Post Type
Redux::setSection($opt_name, array(
    'title'  => esc_html__( 'Custom Post Type', 'itcode' ),
    'desc'   => '',
    'icon'   => 'el el-screenshot',
    'fields' => array(
        array(
            'id'       => 'cpt-disable',
            'type'     => 'checkbox',
            'title'    => esc_html__( 'Disable Custom Post Types', 'itcode' ),
            'subtitle' => esc_html__( 'You can disable the custom post types used within the theme here, by checking the corresponding box. NOTE: If you do not want to disable any, then make sure none of the boxes are checked.', 'itcode' ),
            'options'  => array(
                'portfolio' => 'Portfolio',
                'services'  => 'Services',
                'ourteam'   => 'Our Team',
            ),
            'default'  => array(
                'portfolio' => '0',
                'services'  => '0',
                'ourteam'   => '0',
            )
        ),

        array(
            'id'   => 'custom-post-type-divide-0',
            'type' => 'divide'
        ),


    )
));
// Portfolio Options
Redux::setSection($opt_name, array(
    'title'      => esc_html__( 'Portfolio', 'itcode' ),
    'desc'       => '',
    'icon'       => 'el el-dashboard',
    'subsection' => true,
    'fields'     => array(
        array(
            'id'       => 'show_portfolio_title',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Show Portfolio Title', 'itcode' ),
            'subtitle' => esc_html__( 'Enable/Disable Portfolio Title', 'itcode' ),
            'desc'     => '',
            'options'  => array( '1' => 'On', '0' => 'Off' ),
            'default'  => '1'
        ),
        array(
            'id'       => 'portfolio_title_height',
            'type'     => 'dimensions',
            'title'    => esc_html__( 'Portfolio Title Height', 'itcode' ),
            'subtitle' => esc_html__( 'This must be numeric (no px) or empty.', 'itcode' ),
            'desc'     => esc_html__( 'You can set a height for the Portfolio title here', 'itcode' ),
            'units'    => 'px',
            'width'    => false,
            'default'  => array(
                'height' => ''
            )
        ),
        array(
            'id'       => 'breadcrumbs_in_portfolio_title',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Breadcrumbs in Portfolio Title', 'itcode' ),
            'subtitle' => esc_html__( 'Enable/Disable Breadcrumbs in Portfolio Title', 'itcode' ),
            'desc'     => '',
            'options'  => array( '1' => 'On', '0' => 'Off' ),
            'default'  => '1'
        ),

        array(
            'id'       => 'portfolio_title_bg_image',
            'type'     => 'media',
            'url'      => true,
            'title'    => esc_html__( 'Portfolio Title Background', 'itcode' ),
            'subtitle' => esc_html__( 'Upload portfolio title background.', 'itcode' ),
            'desc'     => '',
            'default'  => array(
                'url' => get_template_directory_uri()  . '/assets/images/bg-portfolio-title.jpg'
            )
        ),
//					array(
//						'id'    => 'portfolio_archive_link',
//						'type'  => 'text',
//						'title' => esc_html__( 'Portfolio Archive Link', 'itcode' ),
//						'desc'  => ''
//					),
    )
));
// Services Options
Redux::setSection($opt_name, array(
    'title'      => esc_html__( 'Services', 'itcode' ),
    'desc'       => '',
    'icon'       => 'el el-asterisk',
    'subsection' => true,
    'fields'     => array(
        array(
            'id'       => 'service_layout',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Layout', 'itcode' ),
            'subtitle' => esc_html__( 'Select Page Layout', 'itcode' ),
            'desc'     => '',
            'options'  => array( 'full' => 'Full Width', 'container' => 'Container', 'container-fluid' => 'Container Fluid' ),
            'default'  => 'container'
        ),
        array(
            'id'       => 'service_sidebar',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Sidebar', 'itcode' ),
            'subtitle' => esc_html__( 'Set Sidebar Style', 'itcode' ),
            'desc'     => '',
            'options'  => array(
                'none'  => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-none.png' ),
                'left'  => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-left.png' ),
                'right' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-right.png' ),
                'both'  => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-both.png' ),
            ),
            'default'  => 'right'
        ),

        array(
            'id'       => 'service_sidebar_width',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Sidebar Width', 'itcode' ),
            'subtitle' => esc_html__( 'Set Sidebar width', 'itcode' ),
            'desc'     => '',
            'options'  => array( 'small' => 'Small (1/4)', 'large' => 'Large (1/3)' ),
            'default'  => 'small',
            'required' => array( 'service_sidebar', '=', array( 'left', 'both', 'right' ) ),
        ),


        array(
            'id'       => 'service_left_sidebar',
            'type'     => 'select',
            'title'    => esc_html__( 'Left Sidebar', 'itcode' ),
            'subtitle' => "Choose the default left sidebar",
            'data'     => 'sidebars',
            'desc'     => '',
            'default'  => 'sidebar-1',
            'required' => array( 'service_sidebar', '=', array( 'left', 'both' ) ),
        ),
        array(
            'id'       => 'service_right_sidebar',
            'type'     => 'select',
            'title'    => esc_html__( 'Right Sidebar', 'itcode' ),
            'subtitle' => "Choose the default right sidebar",
            'data'     => 'sidebars',
            'desc'     => '',
            'default'  => 'sidebar-2',
            'required' => array( 'service_sidebar', '=', array( 'right', 'both' ) ),
        ),
        array(
            'id'       => 'show_service_title',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Show Services Title', 'itcode' ),
            'subtitle' => esc_html__( 'Enable/Disable Services Title', 'itcode' ),
            'desc'     => '',
            'options'  => array( '1' => 'On', '0' => 'Off' ),
            'default'  => '1'
        ),
        array(
            'id'       => 'service_title_height',
            'type'     => 'dimensions',
            'title'    => esc_html__( 'Services Title Height', 'itcode' ),
            'subtitle' => esc_html__( 'This must be numeric (no px) or empty.', 'itcode' ),
            'desc'     => esc_html__( 'You can set a height for the Services title here', 'itcode' ),
            'units'    => 'px',
            'width'    => false,
            'default'  => array(
                'height' => ''
            )
        ),
        array(
            'id'       => 'breadcrumbs_in_service_title',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Breadcrumbs in Services Title', 'itcode' ),
            'subtitle' => esc_html__( 'Enable/Disable Breadcrumbs in Services Title', 'itcode' ),
            'desc'     => '',
            'options'  => array( '1' => 'On', '0' => 'Off' ),
            'default'  => '1'
        ),

        array(
            'id'       => 'service_title_bg_image',
            'type'     => 'media',
            'url'      => true,
            'title'    => esc_html__( 'Services Title Background', 'itcode' ),
            'subtitle' => esc_html__( 'Upload services title background.', 'itcode' ),
            'desc'     => '',
            'default'  => array(
                'url' => get_template_directory_uri()  . '/assets/images/bg-portfolio-title.jpg'
            )
        ),

    )
));
// Services Options
Redux::setSection($opt_name, array(
    'title'      => esc_html__( 'Our Team', 'itcode' ),
    'desc'       => '',
    'icon'       => 'el el-user',
    'subsection' => true,
    'fields'     => array(
        array(
            'id'       => 'our_team_layout',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Layout', 'itcode' ),
            'subtitle' => esc_html__( 'Select Our Team Layout', 'itcode' ),
            'desc'     => '',
            'options'  => array( 'full' => 'Full Width', 'container' => 'Container', 'container-fluid' => 'Container Fluid' ),
            'default'  => 'container'
        ),
        array(
            'id'       => 'our_team_sidebar',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Sidebar', 'itcode' ),
            'subtitle' => esc_html__( 'Set Sidebar Style', 'itcode' ),
            'desc'     => '',
            'options'  => array(
                'none'  => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-none.png' ),
                'left'  => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-left.png' ),
                'right' => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-right.png' ),
                'both'  => array( 'title' => '', 'img' =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-both.png' ),
            ),
            'default'  => 'right'
        ),

        array(
            'id'       => 'our_team_sidebar_width',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Sidebar Width', 'itcode' ),
            'subtitle' => esc_html__( 'Set Sidebar width', 'itcode' ),
            'desc'     => '',
            'options'  => array( 'small' => 'Small (1/4)', 'large' => 'Large (1/3)' ),
            'default'  => 'small',
            'required' => array( 'service_sidebar', '=', array( 'left', 'both', 'right' ) ),
        ),


        array(
            'id'       => 'our_team_left_sidebar',
            'type'     => 'select',
            'title'    => esc_html__( 'Left Sidebar', 'itcode' ),
            'subtitle' => "Choose the default left sidebar",
            'data'     => 'sidebars',
            'desc'     => '',
            'default'  => 'sidebar-1',
            'required' => array( 'service_sidebar', '=', array( 'left', 'both' ) ),
        ),
        array(
            'id'       => 'our_team_right_sidebar',
            'type'     => 'select',
            'title'    => esc_html__( 'Right Sidebar', 'itcode' ),
            'subtitle' => "Choose the default right sidebar",
            'data'     => 'sidebars',
            'desc'     => '',
            'default'  => 'sidebar-2',
            'required' => array( 'service_sidebar', '=', array( 'right', 'both' ) ),
        ),
        array(
            'id'       => 'show_our_team_title',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Show Our Team Title', 'itcode' ),
            'subtitle' => esc_html__( 'Enable/Disable Services Title', 'itcode' ),
            'desc'     => '',
            'options'  => array( '1' => 'On', '0' => 'Off' ),
            'default'  => '1'
        ),
        array(
            'id'       => 'our_team_title_height',
            'type'     => 'dimensions',
            'title'    => esc_html__( 'Services Our Team Height', 'itcode' ),
            'subtitle' => esc_html__( 'This must be numeric (no px) or empty.', 'itcode' ),
            'desc'     => esc_html__( 'You can set a height for the Services title here', 'itcode' ),
            'units'    => 'px',
            'width'    => false,
            'default'  => array(
                'height' => ''
            )
        ),
        array(
            'id'       => 'breadcrumbs_in_our_team_title',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Breadcrumbs in Our Team Title', 'itcode' ),
            'subtitle' => esc_html__( 'Enable/Disable Breadcrumbs in Our Team Title', 'itcode' ),
            'desc'     => '',
            'options'  => array( '1' => 'On', '0' => 'Off' ),
            'default'  => '1'
        ),

        array(
            'id'       => 'our_team_title_bg_image',
            'type'     => 'media',
            'url'      => true,
            'title'    => esc_html__( 'Our Team Title Background', 'itcode' ),
            'subtitle' => esc_html__( 'Upload Our Team title background.', 'itcode' ),
            'desc'     => '',
            'default'  => array(
                'url' => get_template_directory_uri()  . '/assets/images/bg-portfolio-title.jpg'
            )
        ),

    )
));


/**
 * END SECTIONS
 */

