<?php
/**
 * Post rendering content according to caller of get_template_part.
 *
 * @package itcode
 *
 * default list card view
 */
$itcode_loop = itcode_loop();

//var_dump($itcode_loop);

$itcode_loop['image-size'] = 'medium';
$size = ( isset( $itcode_loop['image-size'] ) ) ? $itcode_loop['image-size'] : 'medium';


/*
$archive_style = 'classic';
if ( isset( $itcode_archive_loop['style'] ) && !empty( $itcode_archive_loop['style'] ) ) {
    $archive_style = $itcode_archive_loop['style'];
}*/

$class   = array();
$class[] = "clearfix";

if ( get_post_format() == 'audio' ) {
    $min_suffix = ( !empty( get_itcode_options('enable_minifile_css') ) && get_itcode_options('enable_minifile_css') == 1 ) ? '.min' : '';
    wp_enqueue_script( 'itcode-jplayer-js',  get_template_directory_uri()  . '/assets/plugins/jquery.jPlayer/jquery.jplayer.min.js', array( 'jquery' ), '', true );
    wp_enqueue_style( 'itcode-jplayer-style' );
}


?>
<!-- start list loop -->
<article id="post-<?php the_ID(); ?>" <?php post_class( $class ); ?>>
    <div class="entry-wrapper clearfix">
        <div class="card product-item-wrap mb-2">
            <div class="row">
                <div class="d-flex align-self-start col-12 col-lg-4">
                    <?php
                    $thumbnail = itcode_post_thumbnail( $size );
                    if ( !empty( $thumbnail ) ) { ?>
                        <div class="entry-thumbnail-wrap m-2">
                            <?php echo wp_kses_post( $thumbnail ); ?>
                        </div>

                    <?php }else{
                        if(get_theme_mod('archive_blog_no_image', 0 ) == 1 ){
                            echo '<img class="img-thumbnail" alt="'.get_the_title().'" width="756" height="443" src="'.get_theme_mod('archive_post_no_image', '' ).'">';
                        }

                    } ?>
                </div>
                <div class="col-12 col-lg-8">
                    <div class="card-block">
                        <h4 class="card-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h4>

                        <?php

                        //itcode_posted_on(); // todo deprecate
                        itcode_post_meta();
                        ?>
                        <!-- .entry-meta -->
                        <div class="card-text entry-excerpt">
                            <?php the_excerpt(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div><!-- end entry-wrapper -->
</article><!-- end article -->
<!-- end list loop -->