<?php
/**
 * Partial template for content in page.php
 *
 * @package itcode
 */

?>
<!-- start content-page.php -->
<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
    <div class="card entry-wrapper clearfix mb-3">
        <?php echo get_the_post_thumbnail( $post->ID, 'large' ); ?>
        <div class="card-block">
            <div class="entry-content">

                <?php the_content(); ?>

                <?php
                wp_link_pages( array(
                    'before' => '<div class="page-links">' . __( 'Pages:', 'itcode' ),
                    'after'  => '</div>',
                ) );
                ?>

            </div><!-- .entry-content -->

            <footer class="entry-footer my-2">

                <?php //edit_post_link( __( 'Edit', 'itcode' ), '<span class="edit-link"><i class="fa fa-pencil"></i> ', '</span>' ); ?>
                <?php if (get_theme_mod('show_edit_link', false ) == true){ itcode_edit_link( get_the_ID() ); } ?>

            </footer><!-- .entry-footer -->
        </div>
    </div>
</article><!-- #post-## -->
<!-- end content-page.php -->
