<?php
/**
 * The template used for displaying projects on index view
 *
 * @package Mix_ItCode
 */
?>
<div class="card col-md-12">
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <?php if ( '' != get_the_post_thumbnail() ) : ?>
            <div class="portfolio-thumbnail">
                <a href="<?php the_permalink(); ?>">
                    <?php the_post_thumbnail( 'itcode-portfolio-featured-image' ); ?>
                </a>
            </div>
        <?php endif; ?>

        <header class="portfolio-entry-header">
            <?php the_title( '<h1 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' ); ?>

            <?php echo get_the_term_list( get_the_ID(), 'jetpack-portfolio-type', '<span class="portfolio-entry-meta">', esc_html_x(', ', 'Used between list items, there is a space after the comma.', 'itcode' ), '</span>' ); ?>
        </header>
    </article>
</div>

