<?php
/**
 * Displays footer site info
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since 1.0
 * @version 1.0
 */
$the_theme = wp_get_theme();
?>
<div class="site-info">
    <a href="<?php echo esc_url( __( 'http://wordpress.org/',
        'itcode' ) ); ?>"><?php printf( __( 'Proudly powered by %s', 'itcode' ),
            'WordPress' ); ?></a>
    <span class="sep"> | </span>
    <?php printf( __( 'Theme: %1$s by %2$s', 'itcode' ), $the_theme->get( 'Name' ),
        '<a href="http://itcode.work/">itcode.work</a>' ); ?>
    (<?php printf( __( 'Version: %1$s', 'itcode' ), $the_theme->get( 'Version' ) ); ?>)
</div><!-- .site-info -->
