<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 06.04.2017
 * Time: 7:27
 */

// main container class
$container = get_theme_mod( 'itcode_container_type' );

// main header class
$header_class   = array( 'main-header' );
// header type class


$header_class[] = get_theme_mod('site_header_layout_type', 'header-1' );

//  stick main nav
//if (get_theme_mod('header_sticky', true ) == true ){
//    $header_sticky = 'header-sticky';
//}

$header_sticky = ( get_theme_mod('header_sticky', true ) == true ) ? 'header-sticky' : '';

?>


<header id="header" class="<?php echo join( ' ', $header_class ) ?>">

    <!--<div class="header-desktop-wrapper">-->
    <!-- ******************* The Navbar Area ******************* -->
    <div class="wrapper-fluid wrapper-navbar" id="wrapper-navbar">

        <a class="skip-link screen-reader-text sr-only" href="#content"><?php esc_html_e( 'Skip to content',
                'itcode' ); ?></a>

        <nav id="site-navigation" class="navbar navbar-toggleable-md  navbar-light bg-faded main-navigation <?php echo $header_sticky; ?>">

            <?php if ( 'container' == $container ) : ?>
            <div class="container">
                <?php endif; ?>

                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <!-- Your site title as branding in the menu -->
                <?php if ( ! has_custom_logo() ) { ?>

            <?php if ( is_front_page() && is_home() ) : ?>

                <h1 class="navbar-brand mb-0"><a rel="home" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>

            <?php else : ?>

                <a class="navbar-brand" rel="home" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><?php bloginfo( 'name' ); ?></a>

            <?php endif; ?>


                <?php } else {
                    the_custom_logo();
                } ?><!-- end custom logo -->

                <!-- The WordPress Menu goes here -->
                <?php wp_nav_menu(
                    array(
                        'theme_location'  => 'primary',
                        'container_class' => 'collapse navbar-collapse',
                        'container_id'    => 'navbarNavDropdown',
                        'menu_class'      => 'navbar-nav',
                        'fallback_cb'     => 'WP_Bootstrap_Navwalker::fallback',
                        'menu_id'         => 'main-menu',
                        'walker'          => new WP_Bootstrap_Navwalker(),
                    )
                ); ?>
                <!-- end nav menu -->
                <?php if (get_theme_mod( 'site_enable_back_to_top', true ) == true && get_theme_mod( 'itcode_back_to_top_place', 'in_footer' ) == 'in_nav'){  echo '<span class="navbar-scroll-top"><a class="scrollup"><i class="fa fa-chevron-down"></i></a></span>'; } ?>


                <?php if ( 'container' == $container ) : ?>
            </div><!-- .container -->
        <?php endif; ?>

        </nav><!-- .site-navigation -->

    </div><!-- .wrapper-navbar end -->

    <!--</div>-->
</header>