<?php

?>
<!-- start archive/post-meta -->
<ul class="entry-meta">
	<!--<li class="entry-meta-author">
		<?php /*printf( __('<a href="%1$s"><i class="fa fa-user"></i> Posted by <span>%2$s</span></a>'), esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ), esc_html( get_the_author() ) ); */?>
	</li>-->
	<li class="entry-meta-date">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><i class="fa fa-calendar"></i> <?php echo human_time_diff( get_the_time( 'U' ), current_time( 'timestamp' ) ) . ' ago'; ?> </a>
	</li>
	<?php if ( has_category() ): ?>
		<li class="entry-meta-category">
            <i class="fa fa-list"></i> <?php echo esc_html__( 'Posted in', 'itcode' ) ?><?php echo get_the_category_list( ', ' ); ?>
		</li>
	<?php endif; ?>


	<?php
	if ( !is_single() ) {
		?>
		<li class="entry-meta-count-post">
			<a href="<?php the_permalink() ?>">
				<i class="fa fa-eye"></i>
				<?php echo itcode_get_post_views( get_the_ID() ); ?>
				<?php if ( itcode_get_post_views( get_the_ID() ) != '0' ) {
					echo esc_html__( 'Views', 'itcode' );
				} else {
					echo esc_html__( 'View', 'itcode' );
				} ?>
			</a>
		</li>
		<?php if ( comments_open() || get_comments_number() ) : ?>
			<li class="entry-meta-comment">
				<?php $allowed_html = array(
					'i'  => array(
						'class' => array(),
					),
					'br' => array(),
					'em' => array(),
				); ?>
				<?php comments_popup_link( wp_kses( __( '<i class="fa fa-comment-o"></i> 0 Comment', 'itcode' ), $allowed_html ), wp_kses( __( '<i class="fa fa-comments"></i> 1 Comment', 'itcode' ), $allowed_html ), wp_kses( __( '<i class="fa fa-comments"></i> % Comments', 'itcode' ), $allowed_html ) ); ?>
			</li>
		<?php endif; ?>
		<?php
	}
	?>
	<?php
	if ( is_single() ) {
		the_tags( '<li class="entry-meta-tags"><span><i class="fa fa-tags"></i> Tags: </span>', ',', '</li>' );
	}
	?>
	<!--<li class="entry-meta-share">
		<?php /*itcode_share(); */?>
	</li>-->

	<?php edit_post_link( esc_html__( 'Edit', 'itcode' ), '<li class="edit-link"><i class="fa fa-pencil"></i>', '</li>' ); ?>
</ul><!-- end archive/post-meta -->
