<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 16.04.2017
 * Time: 3:12
 */

if( get_theme_mod('ticker_show', true ) == true || ( !get_theme_mod('ticker_show', true ) && (is_home() || is_front_page() )) ){
    $title = get_theme_mod('ticker_title', 'Latest Posts' );
    $cat   = get_theme_mod('ticker_cat', 0 );
    $count = get_theme_mod('ticker_count', 5 );
    $effect= get_theme_mod('ticker_effect', 'reveal' );
    $speed = get_theme_mod('ticker_speed', 1 );
    $pause = get_theme_mod('ticker_pause', 2 );
    ?>
    <!--<div class="news-ticker">
        <div class="container">

            <?php /*global $post;
            $args=array('category__in' => $cat, 'posts_per_page'=> $count, 'no_found_rows' => 1 );
            $breaking_query = new wp_query( $args  );

            if( $breaking_query->have_posts() ): */?>

                <ul id="js-news">
                    <?php /*while( $breaking_query->have_posts() ) : $breaking_query->the_post();*/?>
                        <li>
                            <a href="<?php /*the_permalink()*/?>" title="<?php /*the_title(); */?>">
                                <?php /*the_title(); */?>
                            </a>
                        </li>
                    <?php /*endwhile; */?>
                </ul>

            <?php /*endif;
            wp_reset_postdata();
            */?>




            <script type="text/javascript">
                jQuery(function () {
                    jQuery('#js-news').ticker({
                        speed: '<?php /*echo $speed/10 */?>',
                        debugMode: false,
                        controls: false,
                        titleText: '<?php /*echo esc_html($title) */?>',
                        displayType: '<?php /*echo $effect */?>',
                        direction: '<?php /*echo(is_rtl())?'rtl':'ltr'; */?>',
                        pauseOnItems: '<?php /*echo $pause*1000 */?>',
                        fadeInSpeed: '<?php /*echo $speed*200 */?>',
                        fadeOutSpeed: '<?php /*echo $speed*100 */?>',
                    });
                });
            </script>
        </div>
    </div>-->

<?php }





?>

<div class="wrapper" id="wrapper-slider">

    <style>
        .news-slider {
            height: 350px;
            background-color: rgba(91, 168, 222, 0.28);
        }
        .carousel .carousel-inner .carousel-item .caption {
            opacity: 0;
            -webkit-transition: 2s all ease-in-out .1s;
            -moz-transition: 2s all ease-in-out .1s;
            -ms-transition: 2s all ease-in-out .1s;
            -o-transition: 2s all ease-in-out .1s;
            transition: 2s all ease-in-out .1s;
        }
        .carousel .carousel-inner .carousel-item.active .caption {
            opacity: 1;
            -webkit-transition: 2s all ease-in-out .1s;
            -moz-transition: 2s all ease-in-out .1s;
            -ms-transition: 2s all ease-in-out .1s;
            -o-transition: 2s all ease-in-out .1s;
            transition: 2s all ease-in-out .1s;
        }

        .carousel-control-prev, .carousel-control-next {
            width: 15%;
            color: #000479;
        }
        .carousel-control-prev-icon, .carousel-control-next-icon {
            width: 60px;
            height: 60px;
        }
    </style>
    <div class="container">

        <div id="carouselCaptions" class="card carousel slide news-slider" data-ride="carousel">

            <div class="card-block">
                <?php global $post;
                $count = get_theme_mod('news_slider_count', 5 );
                $publish = array(
                    'category__in' => $cat,
                    'posts_per_page'=> $count,
                    'no_found_rows' => 1,
                    'post_status' => 'publish'
                );
                $publish_query = new wp_query( $publish  );

                $future = array(
                    'category__in' => $cat,
                    'posts_per_page'=> $count,
                    'no_found_rows' => 1,
                    'post_status' => 'future'
                );
                $future_query = new wp_query( $future  );

                //var_dump($slider_query);

                //$slider_query = (object) array_merge( (array) $future_query , (array) $publish_query );

                if( $publish_query->have_posts() ): ?>

                    <ol class="carousel-indicators">
                        <?php while( $publish_query->have_posts() ) : $publish_query->the_post();?>
                            <li data-target="#carouselExampleCaptions" data-slide-to="<?php the_ID(); ?>" class=""></li>
                        <?php endwhile; ?>

                        <?php if( $future_query->have_posts() ): ?>
                            <?php while( $future_query->have_posts() ) : $future_query->the_post();?>
                                <li data-target="#carouselExampleCaptions" data-slide-to="<?php the_ID(); ?>" class=""></li>
                            <?php endwhile; ?>
                        <?php endif; ?>

                    </ol>

                <?php endif;
                //wp_reset_postdata();
                ?>


                <div class="carousel-inner" role="listbox">

                    <?php

                    if( $publish_query->have_posts() ): ?>

                        <?php while( $publish_query->have_posts() ) : $publish_query->the_post();?>

                            <div class="carousel-item">
                                <div class="row justify-content-center">
                                    <div class="col-12 col-sm-6 col-lg-3 hidden-sm-down">
                                        <?php echo get_the_post_thumbnail( $post->ID, 'medium' ); ?>
                                    </div>
                                    <div class="col-12 col-sm-6 col-lg-5">
                                        <div class="caption  d-md-block">
                                            <h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>

                                            <div class="card-text entry-excerpt">
                                                <?php the_excerpt(); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endwhile; ?>
                        <?php if( $future_query->have_posts() ): ?>

                            <?php while( $future_query->have_posts() ) : $future_query->the_post();?>

                                <div class="carousel-item">
                                    <div class="row justify-content-center">
                                        <div class="col-12 col-sm-6 col-lg-3 hidden-sm-down">
                                            <?php echo get_the_post_thumbnail( $post->ID, 'medium' ); ?>
                                        </div>
                                        <div class="col-12 col-sm-6 col-lg-5">
                                            <div class="caption  d-md-block">
                                                <h2><span class="badge badge-info"><?php echo __('Announcement !', 'itcode');?></span> <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>

                                                <div class="card-text entry-excerpt">
                                                    <?php the_excerpt(); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            <?php endwhile; ?>

                        <?php endif; ?>

                    <?php endif; ?>

                    <?php wp_reset_postdata(); ?>

                </div>



                <a class="carousel-control-prev" href="#carouselCaptions" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>

                <a class="carousel-control-next" href="#carouselCaptions" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            </div>



        </div>
    </div>


    <script>
        jQuery( ".carousel-item" ).first().addClass( "active" );
    </script>

</div>
