<?php

// main container class
$container = get_theme_mod( 'itcode_container_type' );

//var_dump(get_theme_mod('header_topbar_enable', false ));

//["header_topbar_enable"]=>string(1) "1"
//$is_show_top_bar = rwmb_meta( 'itcode_top_bar' );
//if ( ( $is_show_top_bar === '' ) || ( $is_show_top_bar == '-1' ) ) {
//	$is_show_top_bar = get_theme_mod('header_topbar_enable', false ); //get_itcode_options('top_bar');
	//var_dump(get_itcode_options('top_bar')); // string(1) "1" string(1) "0"
    //var_dump(get_theme_mod('header_topbar_enable')); // string(1) "0"
//}
//if ( !$is_show_top_bar ) {
//	return; // NOT SHOW TOP BAR
//}
//$top_bar_layout = rwmb_meta( 'itcode_top_bar_layout' );
//if ( ( $top_bar_layout === '' ) || ( $top_bar_layout == '-1' ) ) {
	$top_bar_layout = get_theme_mod('top_bar_layout', 'top-bar-1');
//}
//var_dump($top_bar_layout);
//$left_sidebar = rwmb_meta( 'itcode_top_left_sidebar' );
//if ( ( $left_sidebar === '' ) || ( $left_sidebar == '-1' ) ) {
	$left_sidebar = get_theme_mod('top_bar_left_sidebar', 'top_bar_left');
//}

//$right_sidebar = rwmb_meta( 'itcode_top_right_sidebar' );
//if ( ( $right_sidebar === '' ) || ( $right_sidebar == '-1' ) ) {
	$right_sidebar = get_theme_mod('top_bar_right_sidebar', 'top_bar_right');
//}

$top_bar_class = array( 'top-bar' );
if ( get_theme_mod('mobile_header_top_bar', true ) == true ) {
	$top_bar_class [] = 'hidden-md-down';
}

$col_top_bar_left  = '';
$col_top_bar_right = '';

if ( is_active_sidebar( $left_sidebar ) && is_active_sidebar( $right_sidebar ) ) {
	switch ( $top_bar_layout ) {
		case 'top-bar-1':
			$col_top_bar_left  = 'col-md-6';
			$col_top_bar_right = 'col-md-6';
			break;
		case 'top-bar-2':
			$col_top_bar_left  = 'col-md-8';
			$col_top_bar_right = 'col-md-4';
			break;
		case 'top-bar-3':
			$col_top_bar_left  = 'col-md-4';
			$col_top_bar_right = 'col-md-8';
			break;
	}

} else {
	if ( is_active_sidebar( $left_sidebar ) || is_active_sidebar( $right_sidebar ) ) {
		$col_top_bar_left  = 'col-md-12';
		$col_top_bar_right = 'col-md-12';
	}
}

if ( $top_bar_layout == 'top-bar-4' ) {
	$col_top_bar_left .= ' top-bar-center';
	$col_top_bar_right .= ' top-bar-center';
}

//if ( empty( $col_top_bar_left ) ) {
//	 return; // NOT SHOW TOP BAR // todo temp comment
//}


// or add sticky-top and 32px margin top if page has admin bar
?>
<nav class="navbar  navbar-toggleable-md navbar-light top-bar <?php echo join( ' ', $top_bar_class ); ?>">
    <div class="container">
        <!--<button class="btn btn-secondary btn-sm navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>-->

        <!--<div class="collapse navbar-collapse" id="navbarNavDropdown">-->
            <!-- Collect the nav links, forms, and other content for toggling -->
            <?php itcode_topbar('left'); ?>
            <?php itcode_topbar('right'); ?>
        <!--</div>-->


        <button class="btn btn-secondary btn-sm" type="button" data-toggle="collapse" data-target="#navbarToggleExternalContent" aria-controls="navbarToggleExternalContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    </div>
</nav>


<div class="pos-f-t">
    <div class="collapse" id="navbarToggleExternalContent">
        <div class="<?php //echo join( ' ', $top_bar_class ); ?>">
            <div class="container">
                <div class="row">
                    <?php if ( is_active_sidebar( $left_sidebar ) ): ?>
                        <div class="sidebar top-bar-left <?php echo esc_attr( $col_top_bar_left ) ?>">
                            <?php dynamic_sidebar( $left_sidebar ); ?>
                        </div>
                    <?php endif; ?>
                    <?php if ( is_active_sidebar( $right_sidebar ) ): ?>
                        <div class="sidebar top-bar-right <?php echo esc_attr( $col_top_bar_right ) ?>">
                            <?php dynamic_sidebar( $right_sidebar ); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>

</div><!-- end top bar template -->