<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 06.04.2017
 * Time: 7:27
 */

// main container class
$container = get_theme_mod( 'itcode_container_type' );

// main header class
$header_class   = array( 'main-header' );
// header type class


$header_class[] = get_theme_mod('site_header_layout_type', 'header-1' );

//  stick main nav
//if (get_theme_mod('header_sticky', true ) == true ){
//    $header_sticky = 'header-sticky';
//}

$header_sticky = ( get_theme_mod('header_sticky', true ) == true ) ? 'header-sticky' : '';


$header_layout_style = rwmb_meta( 'itcode_header_layout_style' );
if ( ( $header_layout_style === '' ) || ( $header_layout_style == '-1' ) ) {
    $header_layout_style = get_theme_mod('site_header_layout_style', 'full');
}

?>

<header id="header" class="<?php echo join( ' ', $header_class ) ?>">
    <div class="header-desktop-wrapper">
        <div class="header-top text-center">
            <div class="<?php echo $header_layout_style; ?>">
                <?php   get_template_part( 'template-parts/header/site', 'branding' ); ?>
            </div>
        </div>
        <!-- start nav top -->
        <?php if ( has_nav_menu( 'primary' ) ) { get_template_part( 'template-parts/header/navigation', 'top' ); } ?>
        <!-- end nav top -->
    </div>
</header>