<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 27.04.2017
 * Time: 21:52
 */

?>

<style>
    body {
        transition: background-color .5s;
    }

    .sidenav {
        height: 100%;
        width: 0;
        position: fixed;
        z-index: 1;
        top: 0;
        left: 0;
        background-color: #111;
        overflow-x: hidden;
        transition: 0.5s;
        padding-top: 60px;
    }

    .sidenav a {
        padding: 8px 8px 8px 10px;
        text-decoration: none;
        font-size: 16px;
        color: #818181;
        /*display: block;*/
        transition: 0.3s;
    }

    .sidenav a:hover, .offcanvas a:focus{
        color: #f1f1f1;
    }

    .sidenav .closebtn {
        position: absolute;
        top: 25px;
        right: 25px;
        font-size: 36px;
        margin-left: 50px;
    }

    #page {
        transition: margin-left .5s;
    }

    @media screen and (max-height: 450px) {
        .sidenav {padding-top: 15px;}
        .sidenav a {font-size: 18px;}
    }
</style>

<div id="mySidenav" class="sidenav">
    <a href="javascript:void(0)" class="closebtn off-canvas-close-btn" >&times;</a>


    <!-- The WordPress Menu goes here -->
    <?php wp_nav_menu(
        array(
            'theme_location'  => 'primary',
            //'container_class' => join( ' ', $container_class ),
            'container_id'    => 'topNav',
            //'menu_class'      => join( ' ', $menu_class ),
            'fallback_cb'     => 'WP_Bootstrap_Navwalker::fallback',
            //'menu_id'         => 'main-menu',
            'walker'          => new WP_Bootstrap_Navwalker(),
        )
    ); ?>
    <!-- end nav menu -->

</div>