<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 05.11.2016
 * Time: 0:51
 */

if( get_theme_mod('ticker_show', true ) == true || ( !get_theme_mod('ticker_show', true ) && (is_home() || is_front_page() )) ){
	$title = get_theme_mod('ticker_title', 'Latest Posts' );
	$cat   = get_theme_mod('ticker_cat', 0 );
	$count = get_theme_mod('ticker_count', 5 );
	$effect= get_theme_mod('ticker_effect', 'reveal' );
	$speed = get_theme_mod('ticker_speed', 1 );
	$pause = get_theme_mod('ticker_pause', 2 );
?>	
	<div class="news-ticker">
		<div class="container">
			<?php global $post;
			$args=array('category__in' => $cat, 'posts_per_page'=> $count, 'no_found_rows' => 1 );
			$breaking_query = new wp_query( $args  );
			if( $breaking_query->have_posts() ): ?>
			<ul id="js-news">
			<?php while( $breaking_query->have_posts() ) : $breaking_query->the_post();?>
				<li><a href="<?php the_permalink()?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></li>
			<?php endwhile; ?>
			</ul>
			<?php endif;
			wp_reset_postdata();
			?>
			<script type="text/javascript">
			jQuery(function () {
					jQuery('#js-news').ticker({
					speed: '<?php echo $speed/10 ?>',
					debugMode: false,
					controls: false,
					titleText: '<?php echo esc_html($title) ?>',
					displayType: '<?php echo $effect ?>',
					direction: '<?php echo(is_rtl())?'rtl':'ltr'; ?>',
					pauseOnItems: '<?php echo $pause*1000 ?>',
					fadeInSpeed: '<?php echo $speed*200 ?>',
					fadeOutSpeed: '<?php echo $speed*100 ?>',
				});
			});
			</script>
		</div>
	</div>
<?php } ?>