<?php

$is_toggle_area_show = rwmb_meta( 'itcode_toggle_area_show' );
if ( !$is_toggle_area_show ) {
    return; // NOT SHOW
}
$toggle_top_sidebar = get_theme_mod('toggle_top_sidebar', 'toggle_top_sidebar' );

$toggle_top_type = get_theme_mod('toggle_top_type', 'toggle');

$toggle_top_wrapper_layout = get_theme_mod('toggle_top_wrapper_layout', 'container');

$toggle_top_class          = 'toggle-top-show';
if ( $toggle_top_type != 'show' ) {
	$toggle_top_class = 'toggle-top-hide';
}

?>
<?php if ( ( is_active_sidebar( $toggle_top_sidebar ) ) && $toggle_top_type != 'none' ): ?>
	<div id="toggle-top-area" class="hidden-sm hidden-xs">
		<div id="toggle-top-bar" class="<?php echo esc_attr( $toggle_top_class ); ?>">

			<?php if ( $toggle_top_wrapper_layout != 'full' ): ?>
			    <div class="<?php echo esc_attr( $toggle_top_wrapper_layout ) ?>">
            <?php endif; ?>

				<div class="sidebar sidebar-toggle-top row">
					<?php dynamic_sidebar( $toggle_top_sidebar ); ?>
				</div>

            <?php if ( $toggle_top_wrapper_layout != 'full' ): ?>
			    </div>
		    <?php endif; ?>

		</div>
		<?php if ( $toggle_top_type != 'show' ): ?>
			<a class="toggle-top-toggle"></a>
		<?php endif; ?>
	</div>
<?php endif; ?>